Subject: bug#9633: 24.0.90; viewing a pdf crashes emacs

From: Pieter Slabbert <[email-masked]>
Date: Fri, 30 Sep 2011 16:27:53 +0200

>> When opening a pdf only the first page displays. I can scroll down this
>> page but once I try to go to the next page emacs freezesand I get the
>> message:
>> emacs: Memory allocation failed `' @ fatal/tiff.c/UnregisterTIFFImage/1817.
>
> Can you please provide a reproducible recipe starting from "emacs -Q"?
>
> Also, how much memory can you use on that system?  And what version of
> the libtiff library did you use to build Emacs?
>

emacs -Q ~/Documents/a-pdf.pdf
once in emacs press n

a-pdf.pdf must have at least two pages.

I can use 1 gig of memory and my libtiff version is 3.9.4
emacs 23.3.1 opens the same pdf just fine.